Barcode Printing API (1.0.0)

Download OpenAPI specification:

The Barcode Printing API aims to provide a unified facade to access the on-prem barcode printing services.

Get OAuth2 access token

Obtain an OAuth2 access token using the client credentials grant.

Request Body schema: application/x-www-form-urlencoded
required
grant_type
required
string
Value: "client_credentials"
client_id
required
string
client_secret
required
string <password>
scope
string

Responses

Response samples

Content type
application/json
{
  • "access_token": "eyJhbGciOi...",
  • "token_type": "Bearer",
  • "expires_in": 3600,
  • "scope": "barcodes/write"
}

Submit a barcode printing job to the underlying barcode printing providers.

Submit a barcode printing job to the underlying barcode printing providers.

Authorizations:
bearerAuth

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "status": "success"
}